Bug 246195 - virt-manager is not GNOME HIG compliant
virt-manager is not GNOME HIG compliant
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-29 01:48 EDT by petrosyan
Modified: 2009-09-21 17:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-04 22:33:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description petrosyan 2007-06-29 01:48:32 EDT
Description of problem:
virt-manager is not GNOME HIG compliant.
1. according to GNOME HIG the menu entry tooltip should be phrased as a verb.
virt-manager's menu entry tooltip is "The virtual machine management tool".
"Manage virtual machines" would be more appropriate.
http://developer.gnome.org/projects/gup/hig/2.0/desktop-integration.html#menu-item-tooltips

2. Help/Help menu uses "Ctrl+H" keyboard shortcut. According to GNOME HIG the
keyboard shortcut should be "F1" and the menu entry should be renamed
"Help/Contents"
http://developer.gnome.org/projects/gup/hig/2.0/menus-standard.html#menu-standard-help

Version-Release number of selected component (if applicable):
virt-manager-0.4.0-2.fc7

Steps to Reproduce:
less /usr/share/applications/virt-manager.desktop
Comment 1 Daniel Berrange 2007-07-04 00:50:00 EDT
Thanks for the info about the GNOME HIG. I have made the neccessary fixes in
upstream codebase

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=06f345efd6d8
http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=eba56a06e7b7

Will be included in Fedora next time we sync with upstream.
Comment 2 Daniel Berrange 2007-10-04 22:33:10 EDT
This is available in rawhide in virt-manager-0.5.2 or later.

Note You need to log in before you can comment on or make changes to this bug.